MWAWPictBasic.hxx File Reference
`#include <assert.h>`
`#include <ostream>`
`#include <string>`
`#include <vector>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWPict.hxx"`

Go to the source code of this file.

## Classes

class | MWAWPictBasic
| an abstract class which defines basic picture (a line, a rectangle, ...) More...
class | MWAWPictLine
| a class to store a simple line More...
class | MWAWPictRectangle
| a class to define a rectangle (or a rectangle with round corner) More...
class | MWAWPictCircle
| a class used to define a circle or an ellipse More...
class | MWAWPictArc
| a class used to define an arc More...
class | MWAWPictPath
| a class used to define a generic path ( a bezier curve, ... ) More...
class | MWAWPictPolygon
| a class used to define a polygon More...